Subject: [PATCH v4 04/19] PCI/MSI: Add hooks to populate the msi_domain field

From: [email-masked] (Marc Zyngier)
Date: Wed, 22 Jul 2015 15:42:59 +0100

Hi Bjorn,

On 21/07/15 22:26, Bjorn Helgaas wrote:
> On Wed, Jul 15, 2015 at 01:16:38PM +0100, Marc Zyngier wrote:
>> In order to be able to populate the device msi_domain field,
>> add the necesary hooks to propagate the host bridge msi_domain
>> across secondary busses to devices.
>>
>> So far, nobody populates the initial msi_domain.
>>
>> Signed-off-by: Marc Zyngier <[email-masked]>
>> ---
>>  drivers/pci/probe.c | 30 ++++++++++++++++++++++++++++++
>>  include/linux/pci.h |  1 +
>>  2 files changed, 31 insertions(+)
>>
>> diff --git a/drivers/pci/probe.c b/drivers/pci/probe.c
>> index cefd636..376f6fa 100644
>> --- a/drivers/pci/probe.c
>> +++ b/drivers/pci/probe.c
>> @@ -661,6 +661,20 @@ static void pci_set_bus_speed(struct pci_bus *bus)
>>  	}
>>  }
>>  
>> +void __weak pcibios_set_host_bridge_msi_domain(struct pci_bus *bus)
>> +{
>> +}
> 
> I don't think there's anything in this series that requires this to be a
> weak function, is there?  This is the only definition I see.

It looks like all the pcibios_* functions so far have a weak attribute,
and I've added it as a matter of consistency.

I don't mind dropping it though.

Thanks,

	M.
-- 
Jazz is not dead. It just smells funny...